• ARTICLES
SEARCH

How-To Geek

How to Easily Install Previous Versions of the .Net Framework in Windows 8

image

Programs written for previous versions of Windows will not function in Windows 8 unless you have an older version of the .Net Framework installed. You can easily run both the new and older versions of the framework at the same time.

Installing the .Net Framework

Older versions of the .Net Framework have become optional extras in Windows 8, this means that if you want to run older programs you will need to enable them, to get started press the Windows + R keyboard combination then type appwiz.cpl in the run box before hitting enter.

image

When the Programs and Features section of Control Panel opens, click on the Turn Windows features on or off hyperlink in the left hand side pane.

image

Now you will need to check the box to install the .Net Framework 3.5.

image

The files will be downloaded from Windows Update and you will be prompted to reboot upon completion.

image

That’s all there is to it.

Taylor Gibb is a Microsoft MVP and all round geek, he loves everything from Windows 8 to Windows Server 2012 and even C# and PowerShell. You can also follow him on Google+

  • Published 07/31/12

Comments (3)

  1. Cubkyle

    If you still use the rare program that still requires .Net 1.1 (I’m looking at you Lord of the Rings Online.), you’ll still have to hunt that down on Microsoft’s site and install it yourself, as it does not come with that package.

  2. SatoMew

    Why force users to go to the Programs and Features control panel to begin with? Instead of telling them to type in appwiz.cpl in the Run command prompt, tell them to go directly to optionalfeatures.exe. This reduces the steps by 2 (one is opening the Programs and Features control panel and the other is clicking on the “Turn Windows features on or off” command link in the left sidebar).

  3. bd1235

    This has been a very useful tip. I installed Win 8 RTM a couple of days back and one of the programs refused to install because of no .NET 3.5. I now have .net installed and now for the application (PrimoPDF).

Get Free Articles in Your Inbox!

Join 134,000 newsletter readers

Email:

Go check your email!